
<!DOCTYPE html>
<html>
<head>
  <title>FMEFlow Rest API V3</title>
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <link rel="shortcut icon" href="images/favicon.svg" />
  <link href='lib/bootstrap/css/bootstrap.css' media='screen' rel='stylesheet' type='text/css'/>
  <link href='//fonts.googleapis.com/css?family=Droid+Sans:400,700' rel='stylesheet' type='text/css'/>
  <link href='css/highlight.default.css' media='screen' rel='stylesheet' type='text/css'/>
  <link href='css/screen.css' media='screen' rel='stylesheet' type='text/css'/>
  <link href='css/doc.css' rel='stylesheet' type='text/css'/>

  <script src='lib/polyfills.js' type='text/javascript'></script>
  <script src='lib/json3.min.js' type='text/javascript'></script>
  <script src='lib/es5-shim.min.js' type='text/javascript'></script>
  <script src='lib/jquery-3.5.1.min.js' type='text/javascript'></script>
  <script src='lib/jquery.slideto.min.js' type='text/javascript'></script>
  <script src='lib/jquery.wiggle.min.js' type='text/javascript'></script>
  <script src='lib/jquery.ba-bbq.min.js' type='text/javascript'></script>
  <script src='lib/jquery.validate.js' type='text/javascript'></script>
  <script src='lib/handlebars-1.0.0.js' type='text/javascript'></script>
  <script src='lib/underscore-min.js' type='text/javascript'></script>
  <script src='lib/backbone-min.js' type='text/javascript'></script>
  <script src='lib/swagger.js' type='text/javascript'></script>
  <script src='swagger-ui.js' type='text/javascript'></script>
  <script src='lib/highlight.7.3.pack.js' type='text/javascript'></script>
  <script src='lib/bootstrap/js/bootstrap.js' type='text/javascript'></script>
  <script type="text/javascript">
  	window.staticDocumentation = true;
    $(function () {
      window.swaggerUi = new SwaggerUi({
          apikeyProviderURI: '',
          url: location.pathname + '/../spec/static.json',
          dom_id: "swagger-ui-container",
          supportedSubmitMethods: ['get', 'post', 'put', 'delete'],
          onComplete: function(swaggerApi, swaggerUi){
            $('pre code').each(function(i, e) {hljs.highlightBlock(e)});
          },
          onFailure: function(data) {
            if(window.console) {
              console.log("Unable to Load SwaggerUI");
              console.log(data);
            }
          },
          docExpansion: "none"
      });

    $('#input_apiKey').change(function() {
      var key = $('#input_apiKey')[0].value;
      if(key && key.trim() != "") {
        window.authorizations.add("key", new ApiKeyAuthorization("token", key, "query"));
      }
    })
    window.swaggerUi.load();
    if (window.location.href.indexOf('FME_REST/apidoc/v3/#!') > 0 || window.location.href.indexOf('FME_REST/apidoc/v3/index.html#!') > 0){
        $('#navItemSpec').click();
    }
    $("#tokenForm").validate();
  });


  </script>
</head>

<body>
<div id='header'>

      <div class="header_left"><img height="40px" style="margin:0px 10px" src="images/FME-logo.svg"/></div>
      <div class="header_right">

    <div class="orange-bar">
      <a id="logo" href="../v3/index.html">FME Flow REST API V3</a>

      <form id='api_selector'>

        <div class='input'><input placeholder="http://example.com/api" id="input_baseUrl" name="baseUrl" type="hidden"/></div>
        <div class='input'><input placeholder="api_token" id="input_apiKey" name="apiKey" type="text"/></div>
        <div class='input'><a id="get_key" href="#">Get Token</a></div>
      </form>
    </div>
      </div>

  <!-- Modal -->
    <div class="bootstrap-wrapper">
      <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
          <div class="modal-dialog">
              <div class="modal-content">
                  <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                      <h4 class="modal-title">Token Management</h4>
                  </div>
                  <div class="modal-body">
                      <form role="form" id="tokenForm">
                        <div class="form-group">
                          <label for="username">Username</label>
                          <input type="text" class="form-control" id="username" required placeholder="Enter Username">
                        </div>
                        <div class="form-group">
                          <label for="password">Password</label>
                          <input type="password" class="form-control" id="password" required placeholder="Enter Password">
                        </div>
                        <div class="form-group hide" id="expiry-group">
                          <label for="expiry">Expiration in Days (required)</label>
                          <input type="text" class="form-control" id="expiry" placeholder="Enter Expiration">
                        </div>
                        <div class="form-group">
                          <div class="well hide" id="token"></div>
                          <span id="token_response"></span>
                        </div>
                      </form>
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-default" id="lookup_token">Lookup Existing Token</button>
                    <button type="button" class="btn btn-default hide" id="generate_token">Generate Token</button>
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>

                  </div>
              </div><!-- /.modal-content -->
          </div><!-- /.modal-dialog -->
      </div><!-- /.modal -->
       <div class="modal fade" id="redirectModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
          <div class="modal-dialog">
              <div class="modal-content redirectBackground">
                  <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                      <h4 class="modal-title">Learn about FME</h4>
                  </div>
                  <div class="modal-body ">
                      <p>An FME Flow instance is required to run these examples.<br>If you have an FME Flow, please view this documentation from <a href="../FME_Server_Documentation/Default.htm#DevelopersGuide/service_rest.htm">there</a>.

                      <p>Visit <a href="http://safe.com" target="_blank">Safe Software</a> to learn more about FME Flow’s capabilities.

                      <p>Or, you can try FME Flow online for free by visiting <a href="http://FMECloud.com" target="_blank">FMECloud.com</a>.<br>You could have your own FME Flow running in under 10 minutes.



                  </div>

              </div><!-- /.modal-content -->
          </div><!-- /.modal-dialog -->
      </div><!-- /.modal -->
       <script>


          function navigate(item, widget) {
              $('.navItem').addClass('hidden');
              $('.' + item).removeClass('hidden');
              $('.nav-pills li').removeClass('active');

              $(widget.parentElement).addClass('active');
          }

          $( document ).ready(function () {
                      $('#input_apiKey').hide();
                      $( ".navItemHome").load('preamble.html');
                      $( ".navItemPublishedParameterDataModel").load('publishedParameterDataModel.html');
                      $( ".navItemMigrateFromV2").load('migrateFromV2.html');
                      $( ".navItemOtherResources").load('otherResources.html', function () {
                          $('#deprecatedRestDoc').remove();
                      });
                  }
          )
        </script>
    </div>
</div>

<div id="message-bar" class="swagger-ui-wrap">
  &nbsp;
</div>
<div class="bootstrap-wrapper" >
    <div class="container ">
                  <ul class="nav nav-pills " role="navigation">
                      <li><a href="#" onclick="navigate('navItemOtherResources', this);">Other Resources</a></li>
                      <li><a href="/fme/html/FME_Server_Documentation/DevelopersGuide/service_rest.htm" target="_blank">FME Flow Documentation</a></li>
                      <li><a href="#" onclick="navigate('navItemPublishedParameterDataModel', this);">Published Parameter Data Model</a></li>
                      <li><a href="#" onclick="navigate('navItemMigrateFromV2', this);">Migrating From REST API V2</a></li>
                      <li><a href="#" id="navItemSpec" onclick="navigate('navItemSpec', this);">API</a></li>
                      <li class="active"><a onclick="navigate('navItemHome', this);" href="#">Overview</a></li>
                </ul>
            </div>
        </div>
    </div>
</div>
<div class="topCenter">
    <div id="swagger-ui-container" class="navItem swagger-ui-wrap hidden navItemSpec"></div>
    <div id="overview" class="navItem navItemHome staticContent">

    </div>
    <div id="publishedParameterDataModel" class="navItem navItemPublishedParameterDataModel hidden staticContent">

    </div>
    <div id="migrateFromV2" class="navItem navItemMigrateFromV2 hidden staticContent">

    </div>
    <div class="navItem navItemOtherResources hidden staticContent">

    </div>
</div>





</body>

</html>
